Bug 177405 - [patch] net/freerdp: Fix the build if old freerdp exists in the system etc
Summary: [patch] net/freerdp: Fix the build if old freerdp exists in the system etc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dima Panov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-27 02:10 UTC by Koichiro Iwao
Modified: 2013-04-18 03:40 UTC (History)
0 users

See Also:


Attachments
file.diff (556 bytes, patch)
2013-03-27 02:10 UTC, Koichiro Iwao
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2013-03-27 02:10:01 UTC
- Fix the build if old freerdp exists in the system
- Delete unused GNU_CONFIGURE and CPPFLAGS

I submitted a patch to ports@ mailing list[1] and CC'd to the maintainer.
I raise a PR in order to wait maintainer-timeout.

[1] http://lists.freebsd.org/pipermail/freebsd-ports/2013-March/082237.html

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-27 02:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fluffy

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon 2013-04-13 15:04:51 UTC
----- Forwarded message from Koichiro IWAO <meta@vmeta.jp> -----

Date: Sat, 13 Apr 2013 22:58:29 +0900
From: Koichiro IWAO <meta@vmeta.jp>
To: ports@freebsd.org
Subject: ports/177405 maintainer timeout
User-Agent: Roundcube Webmail/0.8.6

Hi, could someone please commit ports/177405?
No reply for more than 3 weeks since I first sent a patch to the
maintainer.
It probably can be committed under ports freeze because it fixes to
build.
http://www.freebsd.org/cgi/query-pr.cgi?pr=177405

-- 
`whois vmeta.jp | nkf -w`
meta <meta@vmeta.jp>

----- End forwarded message -----
Comment 3 dfilter service freebsd_committer 2013-04-18 03:39:35 UTC
Author: fluffy
Date: Thu Apr 18 02:39:21 2013
New Revision: 316015
URL: http://svnweb.freebsd.org/changeset/ports/316015

Log:
  - Fix the build if old freerdp exists in the system
  - Delete unused GNU_CONFIGURE and CPPFLAGS
  
  PR:		177405
  Submitted by:	Koichiro IWAO <meta+ports AT vmeta DOT jp
  Feature safe:	yes

Modified:
  head/net/freerdp/Makefile

Modified: head/net/freerdp/Makefile
==============================================================================
--- head/net/freerdp/Makefile	Thu Apr 18 01:25:41 2013	(r316014)
+++ head/net/freerdp/Makefile	Thu Apr 18 02:39:21 2013	(r316015)
@@ -20,11 +20,9 @@ GH_ACCOUNT=	FreeRDP
 GH_PROJECT=	FreeRDP
 GH_COMMIT=	616aed4
 GH_TAGNAME=	${GH_COMMIT}
-GNU_CONFIGURE=	yes
 
 LDFLAGS+=	-L${LOCALBASE}/lib
-CFLAGS+=	-I${LOCALBASE}/include
-CPPFLAGS+=	-I${LOCALBASE}/include
+CFLAGS+=	-I${WRKSRC}/include -I${LOCALBASE}/include
 
 OPTIONS_DEFINE=	ALSA CUPS DIRECTFB FFMPEG PULSEAUDIO SSE X11
 OPTIONS_DEFAULT=	CUPS PULSEAUDIO X11
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Dima Panov freebsd_committer 2013-04-18 03:40:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!